function [index, s] = MakeSample(N1,N2)
% MakeSample creates a discrete sample vector for N1<=index<=N2
% [index,s] = MakeSample(N1,N2)
% For instance try [n,x] = MakeSample(-5,5), and then stem(n,x)

% error check the input arguments
if N2<=N1
    error('N2 must be larger than N1')
end

% create the index vector
index = N1:N2;

% create the sample vector
s = zeros(1,N2-N1+1);  % the output is mostly zeros
whereIsIndex0 = find(index==0); % at this location the vector index is zero
s(whereIsIndex0) = 1; % make the value of s equal to 1 when index is 0